public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-wireless/blueman/
Date: Tue,  9 Apr 2024 19:38:26 +0000 (UTC)	[thread overview]
Message-ID: <1712691501.587d3d90d7c0d6d87720ab1b9b22a20f08803c05.mgorny@gentoo> (raw)

commit:     587d3d90d7c0d6d87720ab1b9b22a20f08803c05
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  9 18:53:17 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr  9 19:38:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=587d3d90

net-wireless/blueman: Bump to 2.4.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-wireless/blueman/Manifest             |   1 +
 net-wireless/blueman/blueman-2.4.1.ebuild | 150 ++++++++++++++++++++++++++++++
 2 files changed, 151 insertions(+)

diff --git a/net-wireless/blueman/Manifest b/net-wireless/blueman/Manifest
index ca6f14ad677d..e30411108172 100644
--- a/net-wireless/blueman/Manifest
+++ b/net-wireless/blueman/Manifest
@@ -1,2 +1,3 @@
 DIST blueman-2.3.5.tar.xz 1544232 BLAKE2B 454a5369cecd429dcbff84108ef5440c61e3740d54de30e85cef941f9bd55ef3f032aa4774b161cd145eecc53061d2d104ea6d6ec12516beb2f2b3579c074ccb SHA512 678261dc0a795ca79b43614f4fc6ad436b44690d0ce4dbf15f55dba4834a25a5c1956bf658d568a3318828863b3bb089689d0dc4fef8963ed2b27cf0f1144580
+DIST blueman-2.4.1.tar.xz 1540776 BLAKE2B 0d191d9c3af673b0b74ee6a5a3242312670229853f47ccc044cf7f1a091d6a0b677f1c818c76ca372f535d5527c26eeaf0588729694176461b5b2afbfca33391 SHA512 154ad7bece4f513d523d2fcefa8ea2b6bd8a2ac991c1b4b86d81b7d25107cad9cdd5cbd21d25145e944fa2731575f0fd023b40ab0a3a6ba408741fad314c6b37
 DIST blueman-2.4.tar.xz 1493924 BLAKE2B 5c777d1707fad5a8a4a89e73c555bb5592ca491b3e7760634f5b22ec3bc305fe1c6e3b11b25e4eb6fe381ef3b59695241d3c278497466645500e5b94147dca4e SHA512 2c3866291c30cbceaaa6427b006c1155aaa6e84bbbaa370d8a99d95a01ea04120efe9a5b36c17e4fc43b583e98f0123f1a4f116e6572674157dd169c986ab080

diff --git a/net-wireless/blueman/blueman-2.4.1.ebuild b/net-wireless/blueman/blueman-2.4.1.ebuild
new file mode 100644
index 000000000000..bec135aa318c
--- /dev/null
+++ b/net-wireless/blueman/blueman-2.4.1.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=no
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit autotools distutils-r1 gnome2-utils linux-info systemd xdg-utils
+
+DESCRIPTION="Simple and intuitive GTK+ Bluetooth Manager"
+HOMEPAGE="https://github.com/blueman-project/blueman/"
+
+if [[ ${PV} == "9999" ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/blueman-project/blueman.git"
+else
+	SRC_URI="
+		https://github.com/blueman-project/blueman/releases/download/${PV/_/.}/${P/_/.}.tar.xz
+	"
+	S=${WORKDIR}/${P/_/.}
+	KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+# icons are GPL-2
+# source files are mixed GPL-3+ and GPL-2+
+LICENSE="GPL-3+ GPL-2"
+SLOT="0"
+IUSE="network nls policykit pulseaudio"
+
+DEPEND="
+	$(python_gen_cond_dep '
+		dev-python/pygobject:3[${PYTHON_USEDEP}]
+	')
+	>=net-wireless/bluez-5:=
+"
+BDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/cython[${PYTHON_USEDEP}]
+	')
+	virtual/pkgconfig
+	nls? ( sys-devel/gettext )
+"
+RDEPEND="
+	${DEPEND}
+	$(python_gen_cond_dep '
+		dev-python/pycairo[${PYTHON_USEDEP}]
+	')
+	sys-apps/dbus
+	x11-libs/gtk+:3[introspection,X]
+	x11-libs/libnotify[introspection]
+	|| (
+		x11-themes/adwaita-icon-theme
+		x11-themes/faenza-icon-theme
+		x11-themes/mate-icon-theme
+	)
+	network? (
+		net-firewall/iptables
+		|| (
+			sys-apps/net-tools
+			sys-apps/iproute2
+		)
+		|| (
+			net-dns/dnsmasq
+			net-misc/dhcp
+			>=net-misc/networkmanager-0.8[introspection]
+		)
+	)
+	policykit? (
+		sys-auth/polkit
+	)
+	pulseaudio? (
+		|| (
+			media-sound/pulseaudio-daemon[bluetooth]
+			media-video/pipewire[bluetooth]
+			<media-sound/pulseaudio-15.99.1[bluetooth]
+		)
+	)
+"
+
+pkg_pretend() {
+	if use network; then
+		local CONFIG_CHECK="
+			~BRIDGE
+			~IP_NF_IPTABLES
+			~IP_NF_NAT
+			~IP_NF_TARGET_MASQUERADE
+		"
+		check_extra_config
+	fi
+}
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	if [[ ${PV} == 9999 ]]; then
+		eautoreconf
+	else
+		# remove this when upstream switches to automake with .pyc fix
+		eautomake
+	fi
+	distutils-r1_src_prepare
+}
+
+python_configure() {
+	local myconf=(
+		--disable-runtime-deps-check
+		--disable-static
+		--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+		--with-systemduserunitdir="$(systemd_get_userunitdir)"
+		--with-dhcp-config="/etc/dhcp/dhcpd.conf"
+		$(use_enable policykit polkit)
+		$(use_enable nls)
+		$(use_enable pulseaudio)
+		# thunar integration is a single data file with no extra deps
+		# so install it unconditionally
+		--enable-thunar-sendto
+	)
+	econf "${myconf[@]}"
+}
+
+python_compile() {
+	default
+}
+
+python_install() {
+	default
+
+	if use policykit; then
+		# Allow users in plugdev group to modify connections
+		insinto /usr/share/polkit-1/rules.d
+		doins "${FILESDIR}/01-org.blueman.rules"
+	fi
+
+	find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	gnome2_schemas_update
+}


             reply	other threads:[~2024-04-09 19:38 UTC|newest]

Thread overview: 158+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-09 19:38 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-16 15:20 [gentoo-commits] repo/gentoo:master commit in: net-wireless/blueman/ Michał Górny
2024-08-16 13:58 Sam James
2024-08-10 15:41 Michał Górny
2024-08-10 11:00 Sam James
2024-08-10  8:17 Michał Górny
2024-08-10  8:17 Michał Górny
2024-07-26  2:01 Michał Górny
2024-07-23 14:13 Michał Górny
2024-07-22 19:11 Michał Górny
2024-07-22 16:57 Michał Górny
2024-07-22 16:18 Michał Górny
2024-06-16  5:07 Michał Górny
2024-06-15 19:49 Sam James
2024-06-15 10:54 Arthur Zamarin
2024-06-15 10:54 Arthur Zamarin
2024-06-15 10:54 Arthur Zamarin
2024-06-15  8:50 Arthur Zamarin
2024-06-15  8:38 Arthur Zamarin
2024-05-31 15:21 Michał Górny
2024-04-28  2:46 Michał Górny
2024-04-27 21:46 Sam James
2024-04-27  8:04 Arthur Zamarin
2024-04-27  7:40 Michał Górny
2024-04-27  7:40 Michał Górny
2024-04-27  7:40 Michał Górny
2024-04-27  7:40 Michał Górny
2024-04-01 10:26 Michał Górny
2023-06-11 14:34 Andreas Sturmlechner
2022-12-31 13:31 Michał Górny
2022-12-31 13:01 Sam James
2022-12-31 13:01 Sam James
2022-12-31 13:01 Sam James
2022-12-31 12:15 Arthur Zamarin
2022-12-31 12:12 Arthur Zamarin
2022-12-31 12:11 Sam James
2022-11-24 12:00 WANG Xuerui
2022-11-23  8:41 Michał Górny
2022-10-15  8:04 Michał Górny
2022-10-13 18:15 Michał Górny
2022-10-04  7:05 Michał Górny
2022-09-05  5:23 Michał Górny
2022-09-04 21:49 Jakov Smolić
2022-09-04 21:49 Jakov Smolić
2022-09-04 20:22 Sam James
2022-09-04 18:30 Arthur Zamarin
2022-09-04 18:21 Arthur Zamarin
2022-09-04 17:48 Sam James
2022-08-02  4:08 Michał Górny
2022-08-01 11:07 Michał Górny
2022-07-17 19:58 Michał Górny
2022-07-17 19:45 Sam James
2022-07-17 19:45 Sam James
2022-07-17 19:40 Sam James
2022-07-17 19:40 Sam James
2022-07-17 17:34 Sam James
2022-07-17 17:34 Sam James
2022-07-17 17:26 Michał Górny
2022-06-10 12:04 Michał Górny
2022-04-27 19:54 Michał Górny
2022-04-27 19:12 Arthur Zamarin
2022-04-27 18:57 Arthur Zamarin
2022-04-27 18:49 Arthur Zamarin
2022-04-27 18:31 Arthur Zamarin
2022-04-27 11:21 Jakov Smolić
2022-04-27 11:21 Jakov Smolić
2022-03-25  2:29 Sam James
2022-03-08 13:31 Sam James
2022-02-21  0:49 Sam James
2022-02-08 23:21 Michał Górny
2021-10-04 20:54 Michał Górny
2021-10-04 19:16 Sam James
2021-10-01 23:42 Sam James
2021-09-27  6:57 Agostino Sarubbo
2021-09-27  6:55 Agostino Sarubbo
2021-09-27  4:15 Sam James
2021-09-27  4:14 Sam James
2021-08-07  6:33 Michał Górny
2021-07-08  7:06 Michał Górny
2021-07-08  3:53 Sam James
2021-07-06  1:48 Sam James
2021-07-03  6:22 Agostino Sarubbo
2021-07-03  6:20 Agostino Sarubbo
2021-07-03  1:30 Sam James
2021-07-03  1:28 Sam James
2021-06-01 20:35 Michał Górny
2021-02-01 18:51 Michał Górny
2021-02-01 18:51 Michał Górny
2020-11-01 14:34 Michał Górny
2020-11-01 14:34 Michał Górny
2020-11-01  2:23 Sam James
2020-10-31 20:20 Sergei Trofimovich
2020-10-31 20:16 Sergei Trofimovich
2020-10-29  1:22 Sam James
2020-10-28 16:45 Sam James
2020-10-28 14:33 Thomas Deutschmann
2020-10-27 13:26 Michał Górny
2020-09-23 10:58 Agostino Sarubbo
2020-09-20 22:40 Thomas Deutschmann
2020-09-19  2:39 Sam James
2020-09-19  2:10 Sam James
2020-09-18 15:09 Agostino Sarubbo
2020-09-18 15:07 Agostino Sarubbo
2020-09-18  9:38 Michał Górny
2020-08-11  6:04 Michał Górny
2020-06-27 20:41 Mart Raudsepp
2020-06-26 20:21 Thomas Deutschmann
2020-05-13  9:03 Michał Górny
2020-05-03 10:24 Michał Górny
2020-04-23  9:35 Pacho Ramos
2020-03-19 17:20 Michał Górny
2020-01-25  5:47 Michał Górny
2019-12-08 11:20 Michał Górny
2019-11-10 12:38 Michał Górny
2019-11-08  9:47 Lars Wendler
2019-07-28  6:41 Michał Górny
2019-07-08 19:43 Michał Górny
2019-06-10  2:51 Michał Górny
2019-05-24 21:55 Michał Górny
2019-05-07 13:36 Michał Górny
2019-05-07 13:36 Michał Górny
2019-05-07 13:36 Michał Górny
2019-05-07 13:36 Michał Górny
2019-05-07 13:36 Michał Górny
2019-04-13 16:38 Tiziano Müller
2019-03-10  8:08 Michał Górny
2018-12-28 12:16 Michał Górny
2018-12-28 12:16 Michał Górny
2018-12-28  5:12 Michał Górny
2018-12-28  5:12 Michał Górny
2018-12-28  5:12 Michał Górny
2018-08-26 18:22 Michał Górny
2018-07-24 15:10 Michał Górny
2018-07-24  8:17 Michał Górny
2018-07-23  9:25 Michał Górny
2018-02-01 20:54 Michał Górny
2017-12-07 14:39 Michał Górny
2017-12-07 14:39 Michał Górny
2017-06-29 22:22 Michał Górny
2017-06-29 22:22 Michał Górny
2017-06-29 22:22 Michał Górny
2017-06-29 22:22 Michał Górny
2017-02-17  6:06 Mart Raudsepp
2017-01-26 20:14 Michał Górny
2016-10-05 14:55 Jeroen Roovers
2016-05-24 12:45 Michał Górny
2016-05-24 12:45 Michał Górny
2016-05-24 12:45 Michał Górny
2016-05-24 12:45 Michał Górny
2016-01-13 15:31 Michał Górny
2016-01-13 15:31 Michał Górny
2015-12-22 14:57 Michał Górny
2015-12-18 16:37 Michał Górny
2015-10-27 19:12 Pacho Ramos
2015-10-27 19:11 Pacho Ramos
2015-10-04 12:56 Pacho Ramos
2015-09-12 22:02 Richard Farina
2015-08-09 12:30 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712691501.587d3d90d7c0d6d87720ab1b9b22a20f08803c05.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox